Package com.xebialabs.xlrelease.domain.events

## Class GateConditionUpdatedEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction3<GateTask,​GateCondition,​GateCondition,​GateConditionUpdatedEvent>
  - - com.xebialabs.xlrelease.domain.events.GateConditionUpdatedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function3<GateTask,​GateCondition,​GateCondition,​GateConditionUpdatedEvent>`

      public class GateConditionUpdatedEvent$
      extends scala.runtime.AbstractFunction3<GateTask,​GateCondition,​GateCondition,​GateConditionUpdatedEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static GateConditionUpdatedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GateConditionUpdatedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GateConditionUpdatedEvent` | `apply​(GateTask task, GateCondition original, GateCondition updated)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple3<GateTask,​GateCondition,​GateCondition>>` | `unapply​(GateConditionUpdatedEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction3

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final GateConditionUpdatedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### GateConditionUpdatedEvent$

          public GateConditionUpdatedEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function3<GateTask,​GateCondition,​GateCondition,​GateConditionUpdatedEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction3<GateTask,​GateCondition,​GateCondition,​GateConditionUpdatedEvent>`

    - #### apply

          public GateConditionUpdatedEvent apply​(GateTask task,
                                                 GateCondition original,
                                                 GateCondition updated)

      Specified by:
        `apply` in interface `scala.Function3<GateTask,​GateCondition,​GateCondition,​GateConditionUpdatedEvent>`

    - #### unapply

          public scala.Option<scala.Tuple3<GateTask,​GateCondition,​GateCondition>> unapply​(GateConditionUpdatedEvent x$0)